nf.h File Reference
`#include <algorithm>`
`#include <vector>`
`#include <queue>`
`#include "SlimgbReduction.h"`
`#include "groebner_alg.h"`

Go to the source code of this file.

## Namespaces

| polybori
| polybori::groebner

## Constant Groups

| polybori
| polybori::groebner

## Macros

#define | PBORI_GB_NF_H

## Typedefs

typedef SlimgbReduction < SLIMGB_SIMPLEST > | polybori::groebner::slimgb_reduction_type

## Functions

int | polybori::groebner::select_no_deg_growth (const ReductionStrategy &strat, const Monomial &m)
std::vector< Polynomial > | polybori::groebner::parallel_reduce (std::vector< Polynomial > inp, GroebnerStrategy &strat, int average_steps, double delay_f)
Polynomial | polybori::groebner::nf3 (const ReductionStrategy &strat, Polynomial p, Monomial rest_lead)
Polynomial | polybori::groebner::nf3_short (const ReductionStrategy &strat, Polynomial p)
Polynomial | polybori::groebner::plug_1 (const Polynomial &p, const MonomialSet &m_plus_ones)
MonomialSet | polybori::groebner::mod_mon_set (const MonomialSet &as, const MonomialSet &vs)
Polynomial | polybori::groebner::cheap_reductions (const ReductionStrategy &strat, Polynomial p)
Polynomial | polybori::groebner::nf3_lexbuckets (const GroebnerStrategy &strat, Polynomial p, Monomial rest_lead)
Polynomial | polybori::groebner::nf3_no_deg_growth (const ReductionStrategy &strat, Polynomial p, Monomial rest_lead)
Polynomial | polybori::groebner::nf3_degree_order (const ReductionStrategy &strat, Polynomial p, Monomial lead)

## Macro Definition Documentation

#define PBORI_GB_NF_H